
QGIS Application - Bug report #16156

Generic Help system: Ending a path with "/" does not well render the online documentation

2017-02-07 03:55 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee: Alexander Bruy

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24068

Description

Go to Settings --> Options --> System --> Documentation Paths

If instead of http://docs.qgis.org/2.14/en/docs/user_manual, you write http://docs.qgis.org/2.14/en/docs/user_manual/ (note the slash at

the end), the hyperlink created when hitting the help button is like 

http://docs.qgis.org/2.14/en/docs/user_manual//introduction/qgis_configuration.html#options which is a kind of plain text of the real page

(no images rendered e.g.)

Associated revisions

Revision 9bd0d7a7 - 2017-02-07 03:24 PM - Alexander Bruy

strip trailing slash from the help path if necessary (fix #16156)

History

#1 - 2017-02-07 03:57 AM - Alexander Bruy

IMHO this should be fixed also on the server-side

#2 - 2017-02-07 04:03 AM - Harrissou Santanna

Do you mean I should also open an issue report in the Doc repo?

#3 - 2017-02-07 04:05 AM - Alexander Bruy

If this is a correct place for such issues, yes. User may type slash twice by mistake, so better is this is handled not only when help opened automatically

from QGIS, but also when user opens it manually.

#4 - 2017-02-07 06:19 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"9bd0d7a7bb1ebf528751f7b58201a4b86a590e7c".

#5 - 2017-09-22 09:54 AM - Jürgen Fischer

- Category set to Unknown
